public class Tableaux{

public static void remplir(String[] args, int[] tab, int i) {
    // Cas de base
    if (i == args.length) {
        return;
    }

    // Cas récursif
    tab[i] = Integer.parseInt(args[i]);
    remplir(args, tab, i + 1);
}





public static void AfficheTableaux(int[] tab, int i){

	if(i==tab.length){
		return;
	}



System.out.println(tab[i]);
AfficheTableaux(tab,i+1);


}



public static void AfficheTableauxInverse(int[] tab, int i){
	if(i<0){
		return;
	}


System.out.println(tab[i]);
AfficheTableauxInverse(tab, i-1);


}

public static int MaxTab(int[] tab, int i){

if(i==tab.length-1){


return tab[i];


}

int maxRestant=MaxTab(tab,i+1);
return Math.max(tab[i], maxRestant);


}
public static void main(String[] args){


if(args.length <1){

	System.out.println("Usage : java Tableaux <entier>");
	return;

}
 int[] tab = new int[args.length];
remplir(args,tab,0);
AfficheTableaux(tab, 0);
AfficheTableauxInverse(tab,tab.length-1);
int max = MaxTab(tab,0);
System.out.println("Le maximum est :"+ max);

}
}




